using BPA.SAAS.Manage.Application.Device.Dtos.Device;
using BPA.SAAS.Manage.Application.Device.Interface;
using BPA.SAAS.Manage.Core.Base;
using Microsoft.AspNetCore.Components.Forms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.Device
{
    [ApiDescriptionSettings("Technology", Tag = "设备工艺")]
    public class TechnologyServices: IDynamicApiController, ITransient
    {
        ITechnologyService _technologyService;
        public TechnologyServices(ITechnologyService technologyService) 
        {
            _technologyService= technologyService;
        }
        /// <summary>
        /// 分页查询
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        [HttpPost("/api/technology/page")]
        public async Task<PageUtil> GetTechnologyPage(TechnologyQueryInputDto inputDto)
        {
            return await  _technologyService.GetTechnologyExportRecodePage(inputDto);
        }
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        [HttpGet("/api/technology/delete")]
        public async Task<bool> DeTechnologyExportRecode(string id)
        {
            return await _technologyService.DeTechnologyExportRecode(id);
        }
        /// <summary>
        /// 根据设备id查询设备工艺信息
        /// </summary>
        /// <param name="deviceId"></param>
        /// <returns></returns>
        [HttpGet("/api/technology/gettechnologylist")]
        public async Task<List<TechnologyView>> GetTechnologyList(string deviceId)
        {
            return await _technologyService.GetTechnologyList(deviceId);
        }
        [HttpGet("/api/technology/gettechnologylist_alm")]
        [AllowAnonymous]
        public async Task<List<TechnologyView>> GetTechnologyList__alm(string deviceId)
        {
            return await _technologyService.GetTechnologyList_alm(deviceId);
        }
    }
}
